Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.designer
Class PluginNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          madkit.TreeTools.GenericTreeNode
              madkit.designer.PluginNode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

    public class PluginNode

extends GenericTreeNode

Author:
  Jaco To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`PluginNode(java.lang.String name, PluginInformation _info, PluginDesignerGUI _gui)`

Method Summary
`void` | `build()`
`void` | `execute()`
`javax.swing.ImageIcon` | `getBranchIcon(int num, boolean bool)`
`javax.swing.ImageIcon` | `getLeafIcon()`
`protected java.lang.String` | `getName()`
`void` | `refresh()`
`void` | `select()`

Methods inherited from class madkit.TreeTools.GenericTreeNode
`getDescriptor, setDescriptor`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PluginNode

    public PluginNode(java.lang.String name,
                      PluginInformation _info,
                      PluginDesignerGUI _gui)

Method Detail

### getLeafIcon

    public javax.swing.ImageIcon getLeafIcon()

  Overrides:
    `getLeafIcon` in class `GenericTreeNode`

### getBranchIcon

    public javax.swing.ImageIcon getBranchIcon(int num,
                                               boolean bool)

  Overrides:
    `getBranchIcon` in class `GenericTreeNode`

### getName

    protected java.lang.String getName()

### execute

    public void execute()

  Overrides:
    `execute` in class `GenericTreeNode`

### build

    public void build()

### refresh

    public void refresh()

### select

    public void select()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.